Subject: bug#56682: locked narrowing

From: Eli Zaretskii <[email-masked]>
Date: Wed, 17 Aug 2022 16:59:25 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 17 Aug 2022 09:50:59 -0400
> 
> >> FWIW, I agree.  I don't think this information is cleanly&reliably
> >> exposed to ELisp
> >
> > It isn't currently.  I was suggesting to do so.
> 
> Last time I looked at it, I couldn't quite understand how the cache
> works there, so I wasn't sure how to make sure it returns valid
> information even if called outside of redisplay.

Looking at what maybe_produce_line_number does doesn't help?